summaryrefslogtreecommitdiff
path: root/media-libs/babl
diff options
context:
space:
mode:
authorGluzskiy Alexandr <sss123next@list.ru>2009-11-23 10:37:40 +0200
committerGluzskiy Alexandr <sss123next@list.ru>2009-11-23 10:37:40 +0200
commitf891fa6d13c9b5e84ead4a4e818879f06672d50c (patch)
tree26e1820780dcfaed6a6a35b63c092518d13291a4 /media-libs/babl
parentba3c2358a41976b1e471b75feee0a93dbc297f49 (diff)
new file: app-cdr/binflash/binflash-1.47a.ebuild
new file: app-mobilephone/kmobiletools/files/kmobiletools-0.5.0_beta3-no-automagic-deps.patch new file: app-mobilephone/kmobiletools/kmobiletools-0.5.0_beta3.ebuild new file: media-libs/babl/babl-0.9999.ebuild new file: media-libs/gegl/gegl-0.9999.ebuild new file: media-libs/libtheora/libtheora-9999.ebuild new file: media-sound/gmpc/gmpc-9999.ebuild
Diffstat (limited to 'media-libs/babl')
-rw-r--r--media-libs/babl/babl-0.9999.ebuild39
1 files changed, 39 insertions, 0 deletions
diff --git a/media-libs/babl/babl-0.9999.ebuild b/media-libs/babl/babl-0.9999.ebuild
new file mode 100644
index 0000000..531f8b9
--- /dev/null
+++ b/media-libs/babl/babl-0.9999.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/media-libs/babl/babl-0.0.22.ebuild,v 1.7 2009/01/31 09:11:00 mabi Exp $
+
+inherit subversion
+
+DESCRIPTION="A dynamic, any to any, pixel format conversion library"
+HOMEPAGE="http://www.gegl.org/babl/"
+SRC_URI=""
+
+ESVN_REPO_URI="http://svn.gnome.org/svn/babl/trunk/"
+ESVN_STORE_DIR="${DISTDIR}/svn-src"
+ESVN_PROJECT="${PN/-svn}"
+ESVN_BOOTSTRAP="./autogen.sh"
+
+
+LICENSE="LGPL-3"
+SLOT=""
+KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+IUSE="sse mmx"
+
+DEPEND="virtual/libc"
+
+src_unpack(){
+ subversion_src_unpack
+}
+
+src_compile() {
+ econf $(use_enable mmx) \
+ $(use_enable sse) \
+ || die "econf failed"
+ emake || die "emake failed"
+}
+
+src_install() {
+ emake install DESTDIR="${D}" || die "emake install failed"
+ find "${D}" -name '*.la' -delete
+# dodoc AUTHORS ChangeLog README NEWS || die "dodoc failed"
+}